Create a section for a form Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/section
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"title":"Section 1.1"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"title": "Section 1.1"
}
Response examples (200)
{
"uuid": "9b5460f2-5757-4237-b572-690bd0d6fefc",
"created_at": "2026-04-29T16:54:31+01:00",
"updated_at": "2026-04-29T16:54:31+01:00",
"form": {
"uuid": "dd69dbbc-7dc1-4752-b516-1aca09256d07",
"created_at": "2026-04-29T16:54:31+01:00",
"updated_at": "2026-04-29T16:54:31+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": "App\\Http\\Resources\\FormQuestionResource",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "561070d4-3b93-427d-bbfa-76273754ba8a",
"created_at": "2026-04-29T16:54:31+01:00",
"updated_at": "2026-04-29T16:54:31+01:00",
"section": "App\\Http\\Resources\\FormSectionResource",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": "App\\Http\\Resources\\FormBuilder\\LinkedFormQuestionResource",
"linked_primary": true
}
}